Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Modeller

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 19714

Description

When attempting to run a model as a batch process, the dialog is empty.

If clicking on Run, I get an error:

Errore durante l'esecuzione di codice Python:

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/processing/gui/BatchProcessingDialog.py", line 170, in accept

    if not self.setParameterValueFromWidget(param, widget, alg):

  File "/usr/share/qgis/python/plugins/processing/gui/BatchProcessingDialog.py", line 265, in setParameterValueFromWidget

    value = widget.getText()

AttributeError: 'NoneType' object has no attribute 'getText'

Related issues:

Duplicates QGIS Application - Bug report # 8511: Iterations: autofill mode fi... Closed 2013-08-24

Associated revisions

Revision de91734f - 2014-10-18 04:37 PM - Victor Olaya

[processing] fixed issue when running models in a batch process

Fixes #11438

History

#1 - 2014-10-18 08:10 AM - Victor Olaya

- Status changed from Open to Closed

Fixed in changeset commit:"de91734fc8d850bff06e6a78d2fa260f56f89291".

#2 - 2014-10-24 06:41 AM - Paolo Cavallini

- Status changed from Closed to Feedback

I still have issue with this. If I choose a name like "prova" and an autofil with layer name (pt1, pt2 etc.), I get provpt1a, provpt2a etc.

#3 - 2014-10-24 09:39 AM - Giovanni Manghi
- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Paolo Cavallini wrote:

I still have issue with this. If I choose a name like "prova" and an autofil with layer name (pt1, pt2 etc.), I get provpt1a, provpt2a etc.

this issue is the same as #8511 but in that case (using the batch mode + autofill) is fixed for me on master (also when running models in batch mode). Do

you have any "processing" folder inside .qgis2/python/plugins ?

#4 - 2014-10-24 10:28 AM - Paolo Cavallini

Nope, clean config. Movet to #8511
